%define major 0
%define libname_orig lib%name
%define libname lib%name

Name: zvbi
Version: 0.2.2
Release: alt1
Summary: Raw VBI, Teletext and Closed Caption decoding library
Summary(ru_RU.KOI8-R):   VBI, Teletext  Closed Caption
License: GPL
Group: Video
Url: http://zapping.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/zapping/%name-%version.tar.bz2

PreReq: /sbin/install-info
BuildRequires: XFree86-devel
BuildRequires: gtk-doc
BuildRequires: libpng-devel
BuildRequires: libunicode-devel
BuildRequires: xpm-devel
Requires: libunicode >= 0.4
Requires: gettext >= 0.10.36

%description
This library provides routines to

VBI stands for Vertical Blanking Interval, a gap between the image
data transmitted in an analog video signal. This gap is used to
transmit AM modulated data for various data services like Teletext and
Closed Caption.

The zvbi library provides routines to:
* read from raw VBI sampling devices (both V4L and V4L2 API are supported),
* a versatile raw vbi bit slicer,
* decoders for various data services and basic search,
* demodulate raw to sliced VBI data,
* interpret the data of several popular services.
* render and export functions for text pages.

The library is the vbi decoding backbone of the Zapping Gnome TV viewer
and Zapzilla Teletext browser.

%package -n %libname
Summary: Raw VBI, Teletext and Closed Caption decoding library
Summary(ru_RU.KOI8-R):   VBI, Teletext  Closed Caption
Group: Video
%description -n %libname
This library provides routines to

VBI stands for Vertical Blanking Interval, a gap between the image
data transmitted in an analog video signal. This gap is used to
transmit AM modulated data for various data services like Teletext and
Closed Caption.

The zvbi library provides routines to:
* read from raw VBI sampling devices (both V4L and V4L2 API are supported),
* a versatile raw vbi bit slicer,
* decoders for various data services and basic search,
* demodulate raw to sliced VBI data,
* interpret the data of several popular services.
* render and export functions for text pages.

The library is the vbi decoding backbone of the Zapping Gnome TV viewer
and Zapzilla Teletext browser.

%package -n %libname-devel
Summary: Header files for developing apps which will use libzvbi
Group: Development/C
Requires: %libname = %version
Provides: %libname_orig-devel = %version-%release
Provides: %name-devel
Obsoletes: %name-devel
%description -n %libname-devel
Header files and static library of bzip2 functions, for developing apps which
will use the zvbi library (aka libzvbi)

%package -n %libname-devel-static
Summary: Static library for developing apps which will use libzvbi
Group: Development/C
Requires: %libname = %version
Provides: %libname_orig-devel = %version-%release
Provides: %name-devel
Obsoletes: %name-devel
%description -n %libname-devel-static
Static library of bzip2 functions, for developing apps which
will use the zvbi library (aka libzvbi)

%prep
%setup -q

%build
%configure
# gtkdoc fix:
cp /usr/share/gtk-doc/gtkdoc-common.pl doc/
%make

%install
%makeinstall
%find_lang %name

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(644,root,root,755)
%doc COPYING

%files -n %libname
%doc AUTHORS COPYING NEWS README
%_libdir/libzvbi*.so.*

%files -n %libname-devel
%defattr(644,root,root,755)
%doc BUGS ChangeLog COPYING TODO doc/html
%_libdir/lib*.so
%_libdir/lib*.la
%_includedir/libzvbi.h

%files -n %libname-devel-static
%_libdir/lib*.a

%changelog
* Thu Oct 31 2002 Rider <rider@altlinux.ru> 0.2.2-alt1
- first build for ALT

* Wed Oct 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.2-1mdk
- new release

* Mon Jun 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.1-1mdk
- new release
- moves translations to zvbi package

* Wed Jun 05 2002 Stefan van der Eijk <stefan@eijk.nu> 0.1.1-2mdk
- BuildRequires

* Thu Apr 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.1-1mdk
- initial release
